Calculate the taxes, subtotals, and totals for this Order.

​

Body·

required

Cancellation token to cancel the operation

  • Specify the NewOrder to calculate

    Properties: 15
  • (Optional) Specify the Ordering options for this request

    Properties: 1

Responses

  • application/json
Request Example for post/v1/orders/calculate
curl https://apiint.api.parpos.com/order/v1/orders/calculate \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'parpos-access-token: YOUR_SECRET_TOKEN' \
  --header 'parpos-location-token: YOUR_SECRET_TOKEN' \
  --data '{
  "Options": {
    "CalculateItemPrice": true
  },
  "Order": {
    "CustomerId": "0d3063b2-1f08-4f9c-bc3d-f9163e0478df",
    "DestinationId": 4,
    "Discounts": [
      {
        "Amount": 3,
        "DiscountId": 3,
        "Id": 1,
        "Name": "Disount",
        "OrderItemIds": [
          4003477
        ],
        "Percent": 90
      }
    ],
    "ExternalLoyaltyAccount": "212332",
    "FutureOrder": {
      "Delivery": {
        "Address1": "VilleParla",
        "Address2": "KingStreet",
        "City": "Queensland",
        "Country": "USA",
        "PostalCode": "12345",
        "StateCode": "NY"
      },
      "EmailAddress": "youremail@yourdomain",
      "ManualSend": false,
      "PhoneNumber": "123457831",
      "PickupTime": "2026-05-08T06:53:51.9545911+00:00",
      "SendReminderEmail": false
    },
    "IsTaxExempt": false,
    "Items": [
      {
        "DestinationId": 4,
        "Seat": 0,
        "Description": "Chin - Kung Pao Shrimp",
        "Id": 5,
        "ItemId": 40037,
        "MenuItemId": 0,
        "Price": 15,
        "Quantity": 0
      }
    ],
    "Name": "CalculateOrderTest",
    "Payments": [
      {
        "Amount": 10,
        "Id": 12,
        "TenderId": 4004092,
        "TipAmount": 2
      }
    ],
    "SectionId": 1,
    "Surcharges": [
      {
        "Amount": 10,
        "Id": 13,
        "Name": "Surchage",
        "SurchargeId": 1
      }
    ],
    "AdditionalData": {
      "key1": "value1"
    }
  }
}'
Success
{
  "Data": {
    "Balance": 413.7,
    "BusinessDate": "2026-05-07T00:00:00+00:00",
    "CreatedTime": "2026-05-07T00:00:00+00:00",
    "CustomerId": "06d41ec0-3ba6-4f3e-940b-2168ae24e767",
    "DestinationId": 4,
    "Discounts": [
      {
        "Amount": 3,
        "DiscountId": 3,
        "Id": 1,
        "Name": "Discount"
      }
    ],
    "Entries": [
      {
        "type": "OrderItem",
        "ComboItems": [],
        "CompositeOrderItemId": 0,
        "Denominator": 1,
        "DestinationId": 4,
        "Discounts": [
          {
            "Amount": 3,
            "Id": 0,
            "OrderDiscountId": 1
          }
        ],
        "Seat": 0,
        "SplitItemId": 0,
        "Taxes": [
          {
            "Amount": 406.7,
            "Id": 1,
            "TaxId": 67645
          }
        ],
        "Description": "Chin - Kung Pao Shrimp",
        "Id": 5,
        "ItemId": 40037,
        "Price": 10
      }
    ],
    "FutureOrder": {
      "Delivery": {
        "Address1": "VilleParla",
        "Address2": "KingStreet",
        "City": "Queensland",
        "Country": "USA",
        "PostalCode": "12345",
        "StateCode": "NY"
      },
      "EmailAddress": "youremail@yourdomain",
      "IsCancelled": false,
      "ManualSend": false,
      "PhoneNumber": "123457831",
      "PickupTime": "2026-05-08T06:53:51.9541818+00:00"
    },
    "Id": 0,
    "IdEncoded": "AAAAAAAAAAAA",
    "IsClosed": false,
    "IsSent": false,
    "IsTaxExempt": false,
    "LaneId": 1,
    "Name": "CalculateOrder",
    "Number": -1,
    "Payments": [
      {
        "AccountType": 0,
        "Amount": 10,
        "BusinessDate": "2026-05-07T00:00:00Z",
        "Id": 0,
        "IsDeposit": false,
        "TenderId": 40040,
        "Time": "2026-05-07T06:53:51.9541846+00:00",
        "TipAmount": 2
      }
    ],
    "Rounding": 0,
    "SectionId": 1,
    "Subtotal": 7,
    "Surcharges": [
      {
        "Amount": 10,
        "Id": 13,
        "IsSystemApplied": false,
        "Name": "Surcharge",
        "SurchargeId": 1
      }
    ],
    "Tax": 406.7,
    "Total": 423.7
  }
}